Utilitaire AirPort 5.6 incompatible avec Mavericks : les solutions

Stéphane Moussie |

La version 5.6 de l’utilitaire AirPort, qui sert à administrer les bornes AirPort d’Apple, n’est pas compatible avec Mavericks.

L’utilitaire avait reçu une grosse mise à jour début 2012 avec une nouvelle interface, plus simple, mais aussi en laissant de côté certaines fonctions importantes (lire : Les régressions d’Utilitaire AirPort 6.0). Au fil des mises à jour, la version 6.x, la dernière en date qui est donc compatible avec OS X 10.9, a comblé quelques lacunes, mais des utilisateurs lui préfèrent toujours la mouture 5.6.

En dehors de cette question de goût, Utilitaire AirPort 5.6 prend surtout en charge les bornes plus anciennes équipées seulement du Wi-Fi 802.11 b/g, ce que la version 6.x ne fait pas. Problème, il est impossible de lancer Utilitaire AirPort 5.6 sur Mavericks.

L’une des solutions consiste à utiliser dans une machine virtuelle une ancienne version d’OS X sur laquelle l’utilitaire est installé, mais ce n’est pas très pratique.

Un utilisateur propose une solution plus simple : il a mis en ligne l’utilitaire AirPort 5.6.1 accompagné d’un petit script qui est capable de lancer l’application sur Mavericks [13,3 Mo]. Le script va modifier le fichier du système qui empêche le logiciel de s’ouvrir. L’application n’étant pas signée, il faudra penser à autoriser l’installation d’applications venant de « N’importe où » dans les Préférences Système (Sécurité et confidentialité > Général).

Utilitaire AirPort 5.6.1 sur Mavericks

avatar multi | 

Peut-on faire confiance à un script qui modifie un fichier système ?

avatar Yohmi | 

Merci beaucoup. Je suis loin de mon Airport, du coup je n'ai pas encore eu le malheur de m'en rendre compte, mais je suis surtout content que des gens aient trouvé une solution (et la partagent). Je trouve ça bizarre comme comportement de la part d'Apple, ils nous vendent des produits de qualité, et après ils font comme si ils étaient tous en panne… alors qu'elle a beau avoir 9 ans, elle me permet encore de réceptionner sans broncher de la musique en lossless et de la balancer sur un DAC pour sonoriser tout le salon, simplement, efficacement, sans chichi, enceintes pourries pour iPod ou je ne sais quoi.
Je vais quand même pas la jeter alors qu'elle fonctionne comme au premier jour et que je ne lui demande pas plus que ce qu'elle sait faire…

avatar jeffrider | 
avatar mistermicro.fr | 

En fait si j'ai bien compris le fonctionnement, ça ne modifie pas les fichiers système, mais indique juste a "airport 5.6" d'aller utiliser une librairie plus ancienne qu'il a remis dans le package, plutôt que la nouvelle qui la remplace dans Mavericks, qui elle est incompatible ...

avatar prommix | 

Chez moi l'utilitaire Airport s'ouvre. Je n'ai peut-être pas compris.

avatar prommix | 

Effectivement, j'ai la version 6.3.2

avatar prommix | 

5.6.1????
J'ai la version 6.3.2 et ca fonctionne très bien. Quelqu'un m'explique pourquoi essayer de faire fonctionner un vieille version?

avatar patrick86 | 

@Quelqu'un m'explique pourquoi essayer de faire fonctionner un vieille version? :

C'est écrit dans le truc entre le titre et la zone de commentaires.

avatar Yohmi | 

C'est pourtant écrit de façon assez claire dans l'article. L'Airport Express est un produit commercialisé depuis 2004. En 2008, ce modèle est remplacé par un autre (puis encore un autre en 2012). Le problème ici, c'est qu'Apple ne permet plus d'accéder au paramétrage de la première génération d'Airport Express depuis la version 6 de son utilitaire. En gros, j'ai une Airport Express depuis de très nombreuses années, que j'utilise uniquement pour envoyer de la musique sans fil à mon système son (elle est reliée à mon routeur en Ethernet, et à un DAC en optique -> http://goo.gl/clnZ7Q), et lorsque la version 6 de l'utilitaire a remplacé la version 5, il n'était plus possible de piloter ma borne (alors qu'elle était toujours fonctionnelle). Jusqu'à présent, il fallait donc installer une archive de la version 5 en parallèle de la version 6, et a priori maintenant il faut carrément utiliser un script…

avatar standelap | 

Quelqu'un a des soucis avec son partage de connexion sans fil entre Mac et iPhone ?

avatar Tomn | 

Plutôt que de cocher « N'importe où » dans les préférences de Sécurité, ne vaut-il mieux pas dire de faire un clic droit → Ouvrir ?

avatar totorino | 

Mais pourquoi diable Apple s'évertue t-il casser les couilles des utilisateurs…

avatar Bigdidou | 

@Yohmi
"Jusqu'à présent, il fallait donc installer une archive de la version 5 en parallèle de la version 6, et a priori maintenant il faut carrément utiliser un script"

Et bientôt, au train où ça va, un vieux mac dédié à ce qu'on ne peut plus faire avec les récents...
Sinon t'as quoi comme DAC (si tu en es content) ?

avatar Yohmi | 

@ Bigdidou
Parle pas de malheur :P
Le DAC, c'est un V-DAC II de Musical Fidelity (je l'ai eu à 180 € sur leboncoin). L'alimentation est de très mauvaise qualité (toute petite, et elle siffle !), mais hormis ça, il fait ce que je lui demande. Comme je fonctionne en optique et par le biais d'Airtunes/Airplay, j'ai une source correcte, sans pour autant aller jusqu'à du Studio Masters par exemple (vu qu'Airtunes s'arrête à la qualité CD). Mais pour cette utilisation-là, c'est impeccable. Le gros avantage que j'y ai vu, c'est que j'ai enfin pu écouter toute ma bibliothèque musicale qui était jusque là réservée à mon ordinateur et à mon baladeur (CD que je n'ai plus, achats sur iTunes Store ou Qobuz, etc.). Le fait de pouvoir me constituer une liste de lecture à l'improviste, et de la diffuser sans la lourdeur et la mollesse d'une sortie préamplifiée, ça m'a fait redécouvrir beaucoup de morceaux et d'albums (que je n'écoutais pas sur mes enceintes, du coup) :) Et puis ça a dû faire plaisir à mes invités qui devaient en avoir marre de toujours avoir les mêmes CD en musique de fond :P

avatar macbec | 

J'ai la version 6.3.2 acec Time Machine et Airport Express et tout fonctionne bien.

Pourquoi ne pas utiliser la dernière version de cet utilitaire ?
Pourquoi faire simple quand on peut faire compliqué ?

avatar misc | 

@macbec
Ça a été expliqué dans la brève, ainsi que par des commentaires...

avatar Link1993 | 

Yes ! Merci MacG et au créateur de ce script ! :D
Vais me tester ça quand j'en aurai l'occasion ! ;)

@MacBec : la version 6 est très simple d'utilisation, maintenant, essai de faire des parametrages un peu plus complexe avec celle ci... La version 5.6 est en definitive bien plus complete, et sans le stupide graphique de l'installation qui certe, peut faire chouette au debut, mais apres, impossible par exemple d'ouvrir autant de fenetres que de bornes (4 chez moi), permettant de bien gérer plusieurs bornes en oneshot !
Un exemple d'absence de fonction, qui peut paraître anecdotique, mais que je trouve important dans mon cas, le clignotement de la led en cas d'activité ! Et il y en a pleins d'autres !

Alors oui, quand on a les derniers airport extreme ou time machine, la version 5.6 ne suffit plus, mais la dernière express l'est encore ! ;)

avatar mbpmbpmbp | 

Purée, les gens qui commentent sans lire la news...

avatar wermain | 

Pareil. J'ai bondi plusieurs fois dans mon fauteuil.

avatar chezyom | 

Il y a un nombre de power users impressionnants !!!! Pour commenter y'a du monde, mais pour lire 4 lignes et essayer de comprendre le pourquoi du comment, y'a plus personne !

Alors qu'il soit dit haut et fort : "vous êtes vraiment TOUS des nases de vouloir faire tourner une vieille version d'airport utiliy"

Apple vous fait un utilitaire tellement plus joli, qu'il faut être un âne pour ne pas vouloir l'utiliser ! Tout le monde dit un grand merci à Apple et surtout aux dev qui ont oublié d'incrémenter le WDS dans la version 6, la gestion de la puissance, quelques paramètres réseau assez intéressants, et surtout s'être arrangé pour qu'avec Maverick, les utilisateurs de vieilles bornes airport soit laissés sur le bord de la route… C'est tellement pas Apple… On n'a jamais été habitué à ça.

=> Au lieu de la ramener, LISEZ !

avatar Crunch Crunch | 

Débile !!! Ceux qui on acheté une ancienne borne air port, devraient toujours pouvoir l'a configurer !!!

Apple, c'est pas le bon plan ça...

Sors un utilitaire qui configure TOUT, et c'est tout !!!

avatar wermain | 

Heu, c'est moi ou le lien de téléchargement déconne sur le site de ce gentil monsieur ? :'(

avatar rv689 | 

Pareil pour moi, le lien de téléchargement ne fonctionne pas, dommage

avatar r e m y | 

Apple aurait-il demandé le retrait de cette version modifiée d'Airport Utility??? En tous cas, le lien de téléchargement n'aboutit plus à rien.

avatar Gueven | 

@macbec

C'est bien de commenter une news, mais ça sera plus respectueux de la lire (surtout que celle ci est courte ...)

avatar jarodpj | 

Pas de problème de téléchargement pour moi

avatar jarodpj | 

Et installé, (y)

avatar tgjb | 

Une autre solution pour éviter les restrictions d'Apple est d'utiliser une machine sous Windows…

PS: solutionne aussi la "disparition" dans iTunes de la synchronisation via USB des iDevices…

avatar r e m y | 

Le telechargement doit être possible maintenant...

Update 01 Nov 2013: Some users were reporting redirection issues when attempting to download the file; I have replaced the spaces in the archive’s name with dashes, this appears to have remedied the issue.

avatar Jean-Jacques Cortes | 

On a ici un cas flagrant d'obsolescence programmée, c'est lamentable. Je viens d'avoir le même problème avec mon imprimante Canon Pixma iP5300 qui, soi-disant, ne fonctionne pas sous Mountain Lion et Mavericks, alors qu'en réalité le pilote pour Leopard à Lion, fonctionne très bien.

avatar patrick86 | 

@Jean-Jacques Cortes :

Et si toute de fois le pilote pour une imprimante n'est disponible ni chez Apple ni chez le fabricant, il y a les pilotes Gutenprint qui gèrent un grand nombre de modèles.

http://gimp-print.sourceforge.net/MacOSX.php

CONNEXION UTILISATEUR